| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTX_orthonormalize
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | orthonormalize (tmat3x3< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | orthonormalize (tvec3< T, P > const &x, tvec3< T, P > const &y)

## Detailed Description

Orthonormalize matrices.

<glm/gtx/orthonormalize.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat3x3<T, P> glm::orthonormalize | ( | tmat3x3< T, P > const & | m | ) |

Returns the orthonormalized matrix of m.

See also
  GLM_GTX_orthonormalize

GLM_FUNC_DECL tvec3<T, P> glm::orthonormalize | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y
| ) |  |

Orthonormalizes x according y.

See also
  GLM_GTX_orthonormalize